LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XGraphicProvider2 Interface Reference

This interface allows operations on multiple graphics with one method call. More...

`import"XGraphicProvider2.idl";`

Inheritance diagram for XGraphicProvider2:

## Public Member Functions
sequence< XGraphic > | queryGraphics ([in] sequence< com::sun::star::beans::PropertyValues > MediaPropertiesSeq) raises ( com::sun::star::io::IOException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| Calling this method returns XGraphic interfaces that hold loaded graphics. More...
Public Member Functions inherited from XGraphicProvider
::com::sun::star::beans::XPropertySet | queryGraphicDescriptor ([in] ::com::sun::star::beans::PropertyValues MediaProperties) raises ( ::com::sun::star::io::IOException, ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::lang::WrappedTargetException )
| Calling this method returns a com::sun::star::beans::XPropertySet interface that gives access to the properties of the unloaded graphic. More...
XGraphic | queryGraphic ([in] ::com::sun::star::beans::PropertyValues MediaProperties) raises ( ::com::sun::star::io::IOException, ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::lang::WrappedTargetException )
| Calling this method returns a XGraphic interface that holds the graphic content after loading the graphic. More...
void | storeGraphic ([in] ::com::sun::star::graphic::XGraphic Graphic, [in] ::com::sun::star::beans::PropertyValues MediaProperties) raises ( ::com::sun::star::io::IOException, ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::lang::WrappedTargetException )
| Store the graphic content, represented through the XGraphic interface at the specified location. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

This interface allows operations on multiple graphics with one method call.

## Member Function Documentation

## ◆ queryGraphics()

sequence< XGraphic > queryGraphics | ( | [in] sequence< com::sun::star::beans::PropertyValues > | MediaPropertiesSeq | ) |
raises | ( | com::sun::star::io::IOException,
|  | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::lang::WrappedTargetException
| ) |  |

Calling this method returns XGraphic interfaces that hold loaded graphics.

Parameters

  MediaPropertiesSeq | A sequence of sequence of property values to describe the location of the graphics.

Returns
  The XGraphic interfaces

See also
  XGraphicProvider::queryGraphic

Since
  LibreOffice 6.0

The documentation for this interface was generated from the following file:

- com/sun/star/graphic/XGraphicProvider2.idl